package student.tutorial;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class frmgame1 extends Activity implements B4AActivity{
	public static frmgame1 mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "student.tutorial", "student.tutorial.frmgame1");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (frmgame1).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "student.tutorial", "student.tutorial.frmgame1");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "student.tutorial.frmgame1", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (frmgame1) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (frmgame1) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return frmgame1.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (frmgame1) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (frmgame1) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _tmr1 = null;
public static anywheresoftware.b4a.objects.Timer _tmr2 = null;
public static String[] _snumber = null;
public static int _intshowcount = 0;
public static int _stimeout = 0;
public anywheresoftware.b4a.objects.ImageViewWrapper _img2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img0 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img5 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img7 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img8 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img9 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img3 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img4 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img6 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _img1 = null;
public anywheresoftware.b4a.objects.collections.List _shownubmer = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblscore = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblseconds = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblsecond = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltitle = null;
public static int _sstage = 0;
public static int[] _spostiontop = null;
public static int[] _spostionleft = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblstage = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbackground = null;
public student.tutorial.main _main = null;
public student.tutorial.common _common = null;
public student.tutorial.settings _settings = null;
public student.tutorial.frmgame1_result _frmgame1_result = null;
public student.tutorial.frmgame1_final _frmgame1_final = null;
public student.tutorial.frmgame2 _frmgame2 = null;
public student.tutorial.frmgame3 _frmgame3 = null;
public student.tutorial.frmgame4 _frmgame4 = null;
public student.tutorial.frmgame5 _frmgame5 = null;
public student.tutorial.frmgame6 _frmgame6 = null;
public student.tutorial.frmgame7 _frmgame7 = null;
public student.tutorial.frmcontact _frmcontact = null;
public student.tutorial.frmgame8 _frmgame8 = null;
public student.tutorial.frmabout _frmabout = null;
public student.tutorial.frmgame9 _frmgame9 = null;
public student.tutorial.setting _setting = null;
public student.tutorial.frmstatistic _frmstatistic = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
int _sres = 0;
int _j = 0;
anywheresoftware.b4a.objects.collections.Map _map1 = null;
int _i = 0;
 //BA.debugLineNum = 34;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 35;BA.debugLine="Dim sRes,j As Int";
_sres = 0;
_j = 0;
 //BA.debugLineNum = 36;BA.debugLine="Dim map1 As Map";
_map1 = new anywheresoftware.b4a.objects.collections.Map();
 //BA.debugLineNum = 37;BA.debugLine="sRes = 0";
_sres = (int) (0);
 //BA.debugLineNum = 38;BA.debugLine="settings.loadDefaultSetting(\"1\")";
mostCurrent._settings._loaddefaultsetting(mostCurrent.activityBA,"1");
 //BA.debugLineNum = 39;BA.debugLine="sTimeout = settings.getData(\"settingGame1.app\",\"ti";
_stimeout = (int)(Double.parseDouble(mostCurrent._settings._getdata(mostCurrent.activityBA,"settingGame1.app","timeout")));
 //BA.debugLineNum = 40;BA.debugLine="Activity.LoadLayout(\"game1\")";
mostCurrent._activity.LoadLayout("game1",mostCurrent.activityBA);
 //BA.debugLineNum = 41;BA.debugLine="common.changeTheme(imgbackground)";
mostCurrent._common._changetheme(mostCurrent.activityBA,mostCurrent._imgbackground);
 //BA.debugLineNum = 42;BA.debugLine="lblstage.Text = settings.getData(\"settingGame1.app";
mostCurrent._lblstage.setText((Object)(mostCurrent._settings._getdata(mostCurrent.activityBA,"settingGame1.app","stage")));
 //BA.debugLineNum = 43;BA.debugLine="map1.Initialize";
_map1.Initialize();
 //BA.debugLineNum = 44;BA.debugLine="showNubmer.Initialize";
mostCurrent._shownubmer.Initialize();
 //BA.debugLineNum = 45;BA.debugLine="showNubmer.Clear";
mostCurrent._shownubmer.Clear();
 //BA.debugLineNum = 47;BA.debugLine="For i = 0 To 9";
{
final int step38 = 1;
final int limit38 = (int) (9);
for (_i = (int) (0); (step38 > 0 && _i <= limit38) || (step38 < 0 && _i >= limit38); _i = ((int)(0 + _i + step38))) {
 //BA.debugLineNum = 48;BA.debugLine="sNumber(i) = i";
mostCurrent._snumber[_i] = BA.NumberToString(_i);
 }
};
 //BA.debugLineNum = 50;BA.debugLine="common.ShuffleArray(sNumber)";
mostCurrent._common._shufflearray(mostCurrent.activityBA,mostCurrent._snumber);
 //BA.debugLineNum = 51;BA.debugLine="loadPosition";
_loadposition();
 //BA.debugLineNum = 54;BA.debugLine="sStage = settings.getData(\"settingGame1.app\",\"stag";
_sstage = (int)(Double.parseDouble(mostCurrent._settings._getdata(mostCurrent.activityBA,"settingGame1.app","stage")));
 //BA.debugLineNum = 56;BA.debugLine="Select Case sStage";
switch (_sstage) {
case 1:
 //BA.debugLineNum = 58;BA.debugLine="intShowCount = Rnd(2,3)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (2),(int) (3));
 break;
case 2:
 //BA.debugLineNum = 60;BA.debugLine="intShowCount = Rnd(2,3)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (2),(int) (3));
 break;
case 3:
 //BA.debugLineNum = 62;BA.debugLine="intShowCount = Rnd(3,4)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (3),(int) (4));
 break;
case 4:
 //BA.debugLineNum = 64;BA.debugLine="intShowCount = Rnd(3,4)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (3),(int) (4));
 break;
case 5:
 //BA.debugLineNum = 66;BA.debugLine="intShowCount = Rnd(5,6)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (5),(int) (6));
 break;
case 6:
 //BA.debugLineNum = 68;BA.debugLine="intShowCount = Rnd(5,6)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (5),(int) (6));
 break;
case 7:
 //BA.debugLineNum = 70;BA.debugLine="intShowCount = Rnd(6,7)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (6),(int) (7));
 break;
case 8:
 //BA.debugLineNum = 72;BA.debugLine="intShowCount = Rnd(6,7)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (6),(int) (7));
 break;
case 9:
 //BA.debugLineNum = 74;BA.debugLine="intShowCount = Rnd(7,8)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (7),(int) (8));
 break;
case 10:
 //BA.debugLineNum = 76;BA.debugLine="intShowCount = Rnd(7,9)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (7),(int) (9));
 break;
case 11:
 //BA.debugLineNum = 78;BA.debugLine="intShowCount = Rnd(8,9)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (8),(int) (9));
 break;
case 12:
 //BA.debugLineNum = 80;BA.debugLine="intShowCount = Rnd(8,9)";
_intshowcount = anywheresoftware.b4a.keywords.Common.Rnd((int) (8),(int) (9));
 break;
}
;
 //BA.debugLineNum = 82;BA.debugLine="For i = 1 To intShowCount";
{
final int step70 = 1;
final int limit70 = _intshowcount;
for (_i = (int) (1); (step70 > 0 && _i <= limit70) || (step70 < 0 && _i >= limit70); _i = ((int)(0 + _i + step70))) {
 //BA.debugLineNum = 83;BA.debugLine="sRes = sNumber(i-1)";
_sres = (int)(Double.parseDouble(mostCurrent._snumber[(int) (_i-1)]));
 //BA.debugLineNum = 84;BA.debugLine="Select Case sRes";
switch (_sres) {
case 0:
 //BA.debugLineNum = 86;BA.debugLine="showNubmer.Add(\"0\")";
mostCurrent._shownubmer.Add((Object)("0"));
 //BA.debugLineNum = 87;BA.debugLine="img0.Visible = True";
mostCurrent._img0.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 88;BA.debugLine="common.playAnimation(img0,\"scale1\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img0.getObject())),"scale1",(int) (1000));
 break;
case 1:
 //BA.debugLineNum = 90;BA.debugLine="showNubmer.Add(\"1\")";
mostCurrent._shownubmer.Add((Object)("1"));
 //BA.debugLineNum = 91;BA.debugLine="img1.Visible = True";
mostCurrent._img1.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 92;BA.debugLine="common.playAnimation(img1,\"scale1\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img1.getObject())),"scale1",(int) (1000));
 break;
case 2:
 //BA.debugLineNum = 94;BA.debugLine="showNubmer.Add(\"2\")";
mostCurrent._shownubmer.Add((Object)("2"));
 //BA.debugLineNum = 95;BA.debugLine="img2.Visible = True";
mostCurrent._img2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 96;BA.debugLine="common.playAnimation(img2,\"scale1\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img2.getObject())),"scale1",(int) (1000));
 break;
case 3:
 //BA.debugLineNum = 98;BA.debugLine="showNubmer.Add(\"3\")";
mostCurrent._shownubmer.Add((Object)("3"));
 //BA.debugLineNum = 99;BA.debugLine="img3.Visible = True";
mostCurrent._img3.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 100;BA.debugLine="common.playAnimation(img3,\"scale1\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img3.getObject())),"scale1",(int) (1000));
 break;
case 4:
 //BA.debugLineNum = 102;BA.debugLine="showNubmer.Add(\"4\")";
mostCurrent._shownubmer.Add((Object)("4"));
 //BA.debugLineNum = 103;BA.debugLine="img4.Visible = True";
mostCurrent._img4.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 104;BA.debugLine="common.playAnimation(img4,\"scale1\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img4.getObject())),"scale1",(int) (1000));
 break;
case 5:
 //BA.debugLineNum = 106;BA.debugLine="showNubmer.Add(\"5\")";
mostCurrent._shownubmer.Add((Object)("5"));
 //BA.debugLineNum = 107;BA.debugLine="img5.Visible = True";
mostCurrent._img5.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 108;BA.debugLine="common.playAnimation(img5,\"alpha\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img5.getObject())),"alpha",(int) (1000));
 break;
case 6:
 //BA.debugLineNum = 110;BA.debugLine="showNubmer.Add(\"6\")";
mostCurrent._shownubmer.Add((Object)("6"));
 //BA.debugLineNum = 111;BA.debugLine="img6.Visible = True";
mostCurrent._img6.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 112;BA.debugLine="common.playAnimation(img6,\"alpha\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img6.getObject())),"alpha",(int) (1000));
 break;
case 7:
 //BA.debugLineNum = 114;BA.debugLine="showNubmer.Add(\"7\")";
mostCurrent._shownubmer.Add((Object)("7"));
 //BA.debugLineNum = 115;BA.debugLine="img7.Visible = True";
mostCurrent._img7.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 116;BA.debugLine="common.playAnimation(img7,\"alpha\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img7.getObject())),"alpha",(int) (1000));
 break;
case 8:
 //BA.debugLineNum = 118;BA.debugLine="showNubmer.Add(\"8\")";
mostCurrent._shownubmer.Add((Object)("8"));
 //BA.debugLineNum = 119;BA.debugLine="img8.Visible = True";
mostCurrent._img8.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 120;BA.debugLine="common.playAnimation(img8,\"alpha\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img8.getObject())),"alpha",(int) (1000));
 break;
case 9:
 //BA.debugLineNum = 122;BA.debugLine="showNubmer.Add(\"9\")";
mostCurrent._shownubmer.Add((Object)("9"));
 //BA.debugLineNum = 123;BA.debugLine="img9.Visible = True";
mostCurrent._img9.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 124;BA.debugLine="common.playAnimation(img9,\"alpha\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,(anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img9.getObject())),"alpha",(int) (1000));
 break;
}
;
 }
};
 //BA.debugLineNum = 127;BA.debugLine="lblsecond.Typeface = Typeface.LoadFromAssets(\"BNaz";
mostCurrent._lblsecond.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 128;BA.debugLine="lblseconds.Typeface = Typeface.LoadFromAssets(\"BNa";
mostCurrent._lblseconds.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 129;BA.debugLine="lblscore.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lblscore.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 130;BA.debugLine="lbltitle.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lbltitle.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 131;BA.debugLine="lblscore.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lblscore.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 132;BA.debugLine="lblstage.Typeface = Typeface.LoadFromAssets(\"BNaza";
mostCurrent._lblstage.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.LoadFromAssets("BNazanin.ttf"));
 //BA.debugLineNum = 133;BA.debugLine="j = Rnd(1,6)";
_j = anywheresoftware.b4a.keywords.Common.Rnd((int) (1),(int) (6));
 //BA.debugLineNum = 134;BA.debugLine="If j > 3 Then";
if (_j>3) { 
 //BA.debugLineNum = 135;BA.debugLine="lbltitle.Tag = \"small\"";
mostCurrent._lbltitle.setTag((Object)("small"));
 //BA.debugLineNum = 136;BA.debugLine="lbltitle.Text = \"عزیزم کوچکترین عدد رو پیدا کن\"";
mostCurrent._lbltitle.setText((Object)("عزیزم کوچکترین عدد رو پیدا کن"));
 //BA.debugLineNum = 137;BA.debugLine="ToastMessageShow(\"عزیزم کوچکترین عدد رو پیدا کن\",";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("عزیزم کوچکترین عدد رو پیدا کن",anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 139;BA.debugLine="lbltitle.Tag = \"big\"";
mostCurrent._lbltitle.setTag((Object)("big"));
 //BA.debugLineNum = 140;BA.debugLine="lbltitle.Text = \"عزیزم بزرگترین عدد رو پیدا کن\"";
mostCurrent._lbltitle.setText((Object)("عزیزم بزرگترین عدد رو پیدا کن"));
 //BA.debugLineNum = 141;BA.debugLine="ToastMessageShow(\"عزیزم بزرگترین عدد رو پیدا کن\",";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("عزیزم بزرگترین عدد رو پیدا کن",anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 143;BA.debugLine="tmr1.Initialize(\"tmr1\",3000)";
_tmr1.Initialize(processBA,"tmr1",(long) (3000));
 //BA.debugLineNum = 144;BA.debugLine="tmr2.Initialize(\"tmr2\",1)";
_tmr2.Initialize(processBA,"tmr2",(long) (1));
 //BA.debugLineNum = 145;BA.debugLine="tmr1.Enabled = True";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 146;BA.debugLine="common.playbgGame1";
mostCurrent._common._playbggame1(mostCurrent.activityBA);
 //BA.debugLineNum = 147;BA.debugLine="loadMenu";
_loadmenu();
 //BA.debugLineNum = 148;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 396;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 397;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 398;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 399;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 400;BA.debugLine="StartActivity(Main)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 };
 //BA.debugLineNum = 402;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_MENU Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_MENU) { 
 //BA.debugLineNum = 403;BA.debugLine="Activity.OpenMenu";
mostCurrent._activity.OpenMenu();
 };
 //BA.debugLineNum = 405;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 267;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 269;BA.debugLine="End Sub";
return "";
}
public static String  _btnabout_click() throws Exception{
 //BA.debugLineNum = 158;BA.debugLine="Sub btnabout_Click";
 //BA.debugLineNum = 159;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 160;BA.debugLine="StartActivity(frmabout)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmabout.getObject()));
 //BA.debugLineNum = 161;BA.debugLine="End Sub";
return "";
}
public static String  _btnsetting_click() throws Exception{
 //BA.debugLineNum = 154;BA.debugLine="Sub btnsetting_Click";
 //BA.debugLineNum = 155;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 156;BA.debugLine="StartActivity(setting)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._setting.getObject()));
 //BA.debugLineNum = 157;BA.debugLine="End Sub";
return "";
}
public static String  _checkstate(anywheresoftware.b4a.objects.ConcreteViewWrapper _c1,String _snumbers) throws Exception{
int _i1 = 0;
 //BA.debugLineNum = 296;BA.debugLine="Sub CheckState(c1 As View,sNumbers As String)";
 //BA.debugLineNum = 297;BA.debugLine="Dim i1 As Int";
_i1 = 0;
 //BA.debugLineNum = 298;BA.debugLine="If lbltitle.Tag = \"big\" Then";
if ((mostCurrent._lbltitle.getTag()).equals((Object)("big"))) { 
 //BA.debugLineNum = 299;BA.debugLine="If isBigger(sNumbers) = False Then";
if (_isbigger((int)(Double.parseDouble(_snumbers)))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 300;BA.debugLine="common.vibrePhone";
mostCurrent._common._vibrephone(mostCurrent.activityBA);
 //BA.debugLineNum = 301;BA.debugLine="common.playAudio(\"wrong.wav\")";
mostCurrent._common._playaudio(mostCurrent.activityBA,"wrong.wav");
 //BA.debugLineNum = 302;BA.debugLine="i1 = lblscore.Text - 10";
_i1 = (int) ((double)(Double.parseDouble(mostCurrent._lblscore.getText()))-10);
 //BA.debugLineNum = 303;BA.debugLine="lblscore.Text = i1";
mostCurrent._lblscore.setText((Object)(_i1));
 }else {
 //BA.debugLineNum = 305;BA.debugLine="i1 = lblscore.Text + 10";
_i1 = (int) ((double)(Double.parseDouble(mostCurrent._lblscore.getText()))+10);
 //BA.debugLineNum = 306;BA.debugLine="lblscore.Text = i1";
mostCurrent._lblscore.setText((Object)(_i1));
 //BA.debugLineNum = 307;BA.debugLine="c1.SetBackgroundImage(LoadBitmap(File.DirAssets,";
_c1.SetBackgroundImage((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),BA.ObjectToString(_c1.getTag())+".gif").getObject()));
 //BA.debugLineNum = 308;BA.debugLine="common.playAnimation(c1,\"scale\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,_c1,"scale",(int) (1000));
 //BA.debugLineNum = 309;BA.debugLine="c1.Visible = False";
_c1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 310;BA.debugLine="If showNubmer.Size < 1 Then";
if (mostCurrent._shownubmer.getSize()<1) { 
 //BA.debugLineNum = 311;BA.debugLine="frmGame1_result.sState = \"win\"";
mostCurrent._frmgame1_result._sstate = "win";
 //BA.debugLineNum = 312;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 313;BA.debugLine="frmGame1_result.sScore = lblscore.Text";
mostCurrent._frmgame1_result._sscore = mostCurrent._lblscore.getText();
 //BA.debugLineNum = 314;BA.debugLine="frmGame1_result.sScore = lblscore.Text";
mostCurrent._frmgame1_result._sscore = mostCurrent._lblscore.getText();
 //BA.debugLineNum = 315;BA.debugLine="frmGame1_result.sStage = sStage";
mostCurrent._frmgame1_result._sstage = BA.NumberToString(_sstage);
 //BA.debugLineNum = 316;BA.debugLine="frmGame1_result.sGameNumber = \"1\"";
mostCurrent._frmgame1_result._sgamenumber = "1";
 //BA.debugLineNum = 317;BA.debugLine="frmGame1_result.sTime = \"زمان سپری شده \"  & lbl";
mostCurrent._frmgame1_result._stime = "زمان سپری شده "+mostCurrent._lblsecond.getText()+" : "+mostCurrent._lblseconds.getText()+" ثانیه";
 //BA.debugLineNum = 318;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 319;BA.debugLine="StartActivity(frmGame1_result)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame1_result.getObject()));
 };
 };
 }else if((mostCurrent._lbltitle.getTag()).equals((Object)("small"))) { 
 //BA.debugLineNum = 323;BA.debugLine="If isSmallest(sNumbers) = False Then";
if (_issmallest((int)(Double.parseDouble(_snumbers)))==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 324;BA.debugLine="common.vibrePhone";
mostCurrent._common._vibrephone(mostCurrent.activityBA);
 //BA.debugLineNum = 325;BA.debugLine="common.playAudio(\"wrong.wav\")";
mostCurrent._common._playaudio(mostCurrent.activityBA,"wrong.wav");
 //BA.debugLineNum = 326;BA.debugLine="i1 = lblscore.Text - 10";
_i1 = (int) ((double)(Double.parseDouble(mostCurrent._lblscore.getText()))-10);
 //BA.debugLineNum = 327;BA.debugLine="lblscore.Text = i1";
mostCurrent._lblscore.setText((Object)(_i1));
 }else {
 //BA.debugLineNum = 329;BA.debugLine="i1 = lblscore.Text + 10";
_i1 = (int) ((double)(Double.parseDouble(mostCurrent._lblscore.getText()))+10);
 //BA.debugLineNum = 330;BA.debugLine="lblscore.Text = i1";
mostCurrent._lblscore.setText((Object)(_i1));
 //BA.debugLineNum = 331;BA.debugLine="common.playAnimation(c1,\"scale\",1000)";
mostCurrent._common._playanimation(mostCurrent.activityBA,_c1,"scale",(int) (1000));
 //BA.debugLineNum = 332;BA.debugLine="c1.Visible = False";
_c1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 333;BA.debugLine="If showNubmer.Size < 1 Then";
if (mostCurrent._shownubmer.getSize()<1) { 
 //BA.debugLineNum = 334;BA.debugLine="frmGame1_result.sState = \"win\"";
mostCurrent._frmgame1_result._sstate = "win";
 //BA.debugLineNum = 335;BA.debugLine="frmGame1_result.sScore = lblscore.Text";
mostCurrent._frmgame1_result._sscore = mostCurrent._lblscore.getText();
 //BA.debugLineNum = 336;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 337;BA.debugLine="frmGame1_result.sStage = sStage";
mostCurrent._frmgame1_result._sstage = BA.NumberToString(_sstage);
 //BA.debugLineNum = 338;BA.debugLine="frmGame1_result.sGameNumber = \"1\"";
mostCurrent._frmgame1_result._sgamenumber = "1";
 //BA.debugLineNum = 339;BA.debugLine="frmGame1_result.sTime = \"زمان سپری شده \"  & lbl";
mostCurrent._frmgame1_result._stime = "زمان سپری شده "+mostCurrent._lblsecond.getText()+" : "+mostCurrent._lblseconds.getText()+" ثانیه";
 //BA.debugLineNum = 340;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 341;BA.debugLine="StartActivity(frmGame1_result)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame1_result.getObject()));
 };
 };
 };
 //BA.debugLineNum = 345;BA.debugLine="End Sub";
return "";
}
public static String  _exit1_click() throws Exception{
int _i = 0;
 //BA.debugLineNum = 162;BA.debugLine="Sub exit1_Click";
 //BA.debugLineNum = 163;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 164;BA.debugLine="i = Msgbox2(\"آیا مایل به خروج هستید؟\",\"خروج\",\"آری\"";
_i = anywheresoftware.b4a.keywords.Common.Msgbox2("آیا مایل به خروج هستید؟","خروج","آری","خیر","",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 165;BA.debugLine="If i = DialogResponse.POSITIVE Then";
if (_i==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 166;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 };
 //BA.debugLineNum = 168;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 10;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 11;BA.debugLine="Dim sNumber(10) As String";
mostCurrent._snumber = new String[(int) (10)];
java.util.Arrays.fill(mostCurrent._snumber,"");
 //BA.debugLineNum = 12;BA.debugLine="Dim intShowCount,sTimeout As Int";
_intshowcount = 0;
_stimeout = 0;
 //BA.debugLineNum = 13;BA.debugLine="Dim img2 As ImageView";
mostCurrent._img2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 14;BA.debugLine="Dim img0 As ImageView";
mostCurrent._img0 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Dim img5 As ImageView";
mostCurrent._img5 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 16;BA.debugLine="Dim img7 As ImageView";
mostCurrent._img7 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Dim img8 As ImageView";
mostCurrent._img8 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Dim img9 As ImageView";
mostCurrent._img9 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Dim img3 As ImageView";
mostCurrent._img3 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim img4 As ImageView";
mostCurrent._img4 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim img6 As ImageView";
mostCurrent._img6 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim img1 As ImageView";
mostCurrent._img1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim showNubmer As List";
mostCurrent._shownubmer = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 24;BA.debugLine="Dim lblscore As Label";
mostCurrent._lblscore = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim lblseconds As Label";
mostCurrent._lblseconds = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim lblsecond As Label";
mostCurrent._lblsecond = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim lbltitle As Label";
mostCurrent._lbltitle = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim sStage As Int";
_sstage = 0;
 //BA.debugLineNum = 29;BA.debugLine="Dim sPostionTop(10),sPostionLeft(10) As Int";
_spostiontop = new int[(int) (10)];
;
_spostionleft = new int[(int) (10)];
;
 //BA.debugLineNum = 30;BA.debugLine="Dim lblstage As Label";
mostCurrent._lblstage = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim imgbackground As ImageView";
mostCurrent._imgbackground = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return "";
}
public static String  _hideimage() throws Exception{
 //BA.debugLineNum = 384;BA.debugLine="Sub hideImage";
 //BA.debugLineNum = 385;BA.debugLine="img0.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img0.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 386;BA.debugLine="img1.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 387;BA.debugLine="img2.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img2.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 388;BA.debugLine="img3.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img3.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 389;BA.debugLine="img4.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img4.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 390;BA.debugLine="img5.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img5.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 391;BA.debugLine="img6.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img6.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 392;BA.debugLine="img7.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img7.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 393;BA.debugLine="img8.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img8.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 394;BA.debugLine="img9.Bitmap = LoadBitmap(File.DirAssets,\"no.gif\")";
mostCurrent._img9.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"no.gif").getObject()));
 //BA.debugLineNum = 395;BA.debugLine="End Sub";
return "";
}
public static String  _img0_click() throws Exception{
 //BA.debugLineNum = 350;BA.debugLine="Sub img0_Click";
 //BA.debugLineNum = 351;BA.debugLine="CheckState(img0,\"0\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img0.getObject())),"0");
 //BA.debugLineNum = 352;BA.debugLine="End Sub";
return "";
}
public static String  _img1_click() throws Exception{
 //BA.debugLineNum = 353;BA.debugLine="Sub img1_Click";
 //BA.debugLineNum = 354;BA.debugLine="CheckState(img1,\"1\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img1.getObject())),"1");
 //BA.debugLineNum = 355;BA.debugLine="End Sub";
return "";
}
public static String  _img2_click() throws Exception{
 //BA.debugLineNum = 356;BA.debugLine="Sub img2_Click";
 //BA.debugLineNum = 357;BA.debugLine="CheckState(img2,\"2\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img2.getObject())),"2");
 //BA.debugLineNum = 358;BA.debugLine="End Sub";
return "";
}
public static String  _img3_click() throws Exception{
 //BA.debugLineNum = 360;BA.debugLine="Sub img3_Click";
 //BA.debugLineNum = 361;BA.debugLine="CheckState(img3,\"3\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img3.getObject())),"3");
 //BA.debugLineNum = 362;BA.debugLine="End Sub";
return "";
}
public static String  _img4_click() throws Exception{
 //BA.debugLineNum = 363;BA.debugLine="Sub img4_Click";
 //BA.debugLineNum = 364;BA.debugLine="CheckState(img4,\"4\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img4.getObject())),"4");
 //BA.debugLineNum = 365;BA.debugLine="End Sub";
return "";
}
public static String  _img5_click() throws Exception{
 //BA.debugLineNum = 366;BA.debugLine="Sub img5_Click";
 //BA.debugLineNum = 367;BA.debugLine="CheckState(img5,\"5\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img5.getObject())),"5");
 //BA.debugLineNum = 368;BA.debugLine="End Sub";
return "";
}
public static String  _img6_click() throws Exception{
 //BA.debugLineNum = 369;BA.debugLine="Sub img6_Click";
 //BA.debugLineNum = 370;BA.debugLine="CheckState(img6,\"6\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img6.getObject())),"6");
 //BA.debugLineNum = 371;BA.debugLine="End Sub";
return "";
}
public static String  _img7_click() throws Exception{
 //BA.debugLineNum = 372;BA.debugLine="Sub img7_Click";
 //BA.debugLineNum = 373;BA.debugLine="CheckState(img7,\"7\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img7.getObject())),"7");
 //BA.debugLineNum = 374;BA.debugLine="End Sub";
return "";
}
public static String  _img8_click() throws Exception{
 //BA.debugLineNum = 375;BA.debugLine="Sub img8_Click";
 //BA.debugLineNum = 376;BA.debugLine="CheckState(img8,\"8\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img8.getObject())),"8");
 //BA.debugLineNum = 377;BA.debugLine="End Sub";
return "";
}
public static String  _img9_click() throws Exception{
 //BA.debugLineNum = 379;BA.debugLine="Sub img9_Click";
 //BA.debugLineNum = 380;BA.debugLine="CheckState(img9,\"9\")";
_checkstate((anywheresoftware.b4a.objects.ConcreteViewWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.ConcreteViewWrapper(), (android.view.View)(mostCurrent._img9.getObject())),"9");
 //BA.debugLineNum = 381;BA.debugLine="End Sub";
return "";
}
public static boolean  _isbigger(int _snumberclick) throws Exception{
String _stemps = "";
 //BA.debugLineNum = 272;BA.debugLine="Sub isBigger(sNumberClick As Int) As Boolean";
 //BA.debugLineNum = 273;BA.debugLine="Dim sTemps As String";
_stemps = "";
 //BA.debugLineNum = 274;BA.debugLine="showNubmer.Sort(True)";
mostCurrent._shownubmer.Sort(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 275;BA.debugLine="sTemps = showNubmer.Get(showNubmer.Size-1)";
_stemps = BA.ObjectToString(mostCurrent._shownubmer.Get((int) (mostCurrent._shownubmer.getSize()-1)));
 //BA.debugLineNum = 276;BA.debugLine="If sNumberClick > sTemps OR sNumberClick = sTemp";
if (_snumberclick>(double)(Double.parseDouble(_stemps)) || _snumberclick==(double)(Double.parseDouble(_stemps))) { 
 //BA.debugLineNum = 277;BA.debugLine="showNubmer.RemoveAt(showNubmer.Size - 1)";
mostCurrent._shownubmer.RemoveAt((int) (mostCurrent._shownubmer.getSize()-1));
 //BA.debugLineNum = 278;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
 //BA.debugLineNum = 280;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 282;BA.debugLine="End Sub";
return false;
}
public static boolean  _issmallest(int _snumberclick) throws Exception{
String _stemps = "";
 //BA.debugLineNum = 284;BA.debugLine="Sub isSmallest(sNumberClick As Int) As Boolean";
 //BA.debugLineNum = 285;BA.debugLine="Dim sTemps As String";
_stemps = "";
 //BA.debugLineNum = 286;BA.debugLine="showNubmer.Sort(True)";
mostCurrent._shownubmer.Sort(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 287;BA.debugLine="sTemps = showNubmer.Get(0)";
_stemps = BA.ObjectToString(mostCurrent._shownubmer.Get((int) (0)));
 //BA.debugLineNum = 288;BA.debugLine="If sNumberClick < sTemps OR sNumberClick = sTemp";
if (_snumberclick<(double)(Double.parseDouble(_stemps)) || _snumberclick==(double)(Double.parseDouble(_stemps))) { 
 //BA.debugLineNum = 289;BA.debugLine="showNubmer.RemoveAt(0)";
mostCurrent._shownubmer.RemoveAt((int) (0));
 //BA.debugLineNum = 290;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
 //BA.debugLineNum = 292;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 294;BA.debugLine="End Sub";
return false;
}
public static String  _loadmenu() throws Exception{
 //BA.debugLineNum = 149;BA.debugLine="Sub loadMenu";
 //BA.debugLineNum = 150;BA.debugLine="Activity.AddMenuItem2(\"تنظیمات\",\"btnsetting\",LoadB";
mostCurrent._activity.AddMenuItem2("تنظیمات","btnsetting",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"setting.png").getObject()));
 //BA.debugLineNum = 151;BA.debugLine="Activity.AddMenuItem2(\"درباره ما\",\"btnabout\",LoadB";
mostCurrent._activity.AddMenuItem2("درباره ما","btnabout",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"about.png").getObject()));
 //BA.debugLineNum = 152;BA.debugLine="Activity.AddMenuItem2(\"خروج\",\"exit1\",LoadBitmap(Fi";
mostCurrent._activity.AddMenuItem2("خروج","exit1",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"exit.png").getObject()));
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
public static String  _loadposition() throws Exception{
int _i = 0;
 //BA.debugLineNum = 169;BA.debugLine="Sub loadPosition";
 //BA.debugLineNum = 170;BA.debugLine="sPostionLeft(0) = img0.Left";
_spostionleft[(int) (0)] = mostCurrent._img0.getLeft();
 //BA.debugLineNum = 171;BA.debugLine="sPostionTop(0) = img0.Top";
_spostiontop[(int) (0)] = mostCurrent._img0.getTop();
 //BA.debugLineNum = 173;BA.debugLine="sPostionLeft(1) = img1.Left";
_spostionleft[(int) (1)] = mostCurrent._img1.getLeft();
 //BA.debugLineNum = 174;BA.debugLine="sPostionTop(1) = img1.Top";
_spostiontop[(int) (1)] = mostCurrent._img1.getTop();
 //BA.debugLineNum = 176;BA.debugLine="sPostionLeft(2) = img2.Left";
_spostionleft[(int) (2)] = mostCurrent._img2.getLeft();
 //BA.debugLineNum = 177;BA.debugLine="sPostionTop(2) = img2.Top";
_spostiontop[(int) (2)] = mostCurrent._img2.getTop();
 //BA.debugLineNum = 179;BA.debugLine="sPostionLeft(3) = img3.Left";
_spostionleft[(int) (3)] = mostCurrent._img3.getLeft();
 //BA.debugLineNum = 180;BA.debugLine="sPostionTop(3) = img3.Top";
_spostiontop[(int) (3)] = mostCurrent._img3.getTop();
 //BA.debugLineNum = 182;BA.debugLine="sPostionLeft(4) = img4.Left";
_spostionleft[(int) (4)] = mostCurrent._img4.getLeft();
 //BA.debugLineNum = 183;BA.debugLine="sPostionTop(4) = img4.Top";
_spostiontop[(int) (4)] = mostCurrent._img4.getTop();
 //BA.debugLineNum = 185;BA.debugLine="sPostionLeft(5) = img5.Left";
_spostionleft[(int) (5)] = mostCurrent._img5.getLeft();
 //BA.debugLineNum = 186;BA.debugLine="sPostionTop(5) = img5.Top";
_spostiontop[(int) (5)] = mostCurrent._img5.getTop();
 //BA.debugLineNum = 188;BA.debugLine="sPostionLeft(6) = img6.Left";
_spostionleft[(int) (6)] = mostCurrent._img6.getLeft();
 //BA.debugLineNum = 189;BA.debugLine="sPostionTop(6) = img6.Top";
_spostiontop[(int) (6)] = mostCurrent._img6.getTop();
 //BA.debugLineNum = 191;BA.debugLine="sPostionLeft(7) = img7.Left";
_spostionleft[(int) (7)] = mostCurrent._img7.getLeft();
 //BA.debugLineNum = 192;BA.debugLine="sPostionTop(7) = img7.Top";
_spostiontop[(int) (7)] = mostCurrent._img7.getTop();
 //BA.debugLineNum = 194;BA.debugLine="sPostionLeft(8) = img8.Left";
_spostionleft[(int) (8)] = mostCurrent._img8.getLeft();
 //BA.debugLineNum = 195;BA.debugLine="sPostionTop(8) = img8.Top";
_spostiontop[(int) (8)] = mostCurrent._img8.getTop();
 //BA.debugLineNum = 197;BA.debugLine="sPostionLeft(9) = img9.Left";
_spostionleft[(int) (9)] = mostCurrent._img9.getLeft();
 //BA.debugLineNum = 198;BA.debugLine="sPostionTop(9) = img9.Top";
_spostiontop[(int) (9)] = mostCurrent._img9.getTop();
 //BA.debugLineNum = 199;BA.debugLine="For i = 0 To sNumber.Length -1";
{
final int step178 = 1;
final int limit178 = (int) (mostCurrent._snumber.length-1);
for (_i = (int) (0); (step178 > 0 && _i <= limit178) || (step178 < 0 && _i >= limit178); _i = ((int)(0 + _i + step178))) {
 //BA.debugLineNum = 200;BA.debugLine="Select Case i";
switch (_i) {
case 0:
 //BA.debugLineNum = 202;BA.debugLine="img0.Left = sPostionLeft(sNumber(i))";
mostCurrent._img0.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 203;BA.debugLine="img0.Top  = sPostionTop(sNumber(i))";
mostCurrent._img0.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 1:
 //BA.debugLineNum = 205;BA.debugLine="img1.Left = sPostionLeft(sNumber(i))";
mostCurrent._img1.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 206;BA.debugLine="img1.Top  = sPostionTop(sNumber(i))";
mostCurrent._img1.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 2:
 //BA.debugLineNum = 208;BA.debugLine="img2.Left = sPostionLeft(sNumber(i))";
mostCurrent._img2.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 209;BA.debugLine="img2.Top  = sPostionTop(sNumber(i))";
mostCurrent._img2.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 3:
 //BA.debugLineNum = 211;BA.debugLine="img3.Left = sPostionLeft(sNumber(i))";
mostCurrent._img3.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 212;BA.debugLine="img3.Top  = sPostionTop(sNumber(i))";
mostCurrent._img3.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 4:
 //BA.debugLineNum = 214;BA.debugLine="img4.Left = sPostionLeft(sNumber(i))";
mostCurrent._img4.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 215;BA.debugLine="img4.Top  = sPostionTop(sNumber(i))";
mostCurrent._img4.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 5:
 //BA.debugLineNum = 217;BA.debugLine="img5.Left = sPostionLeft(sNumber(i))";
mostCurrent._img5.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 218;BA.debugLine="img5.Top  = sPostionTop(sNumber(i))";
mostCurrent._img5.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 6:
 //BA.debugLineNum = 220;BA.debugLine="img6.Left = sPostionLeft(sNumber(i))";
mostCurrent._img6.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 221;BA.debugLine="img6.Top  = sPostionTop(sNumber(i))";
mostCurrent._img6.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 7:
 //BA.debugLineNum = 223;BA.debugLine="img7.Left = sPostionLeft(sNumber(i))";
mostCurrent._img7.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 224;BA.debugLine="img7.Top  = sPostionTop(sNumber(i))";
mostCurrent._img7.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 8:
 //BA.debugLineNum = 226;BA.debugLine="img8.Left = sPostionLeft(sNumber(i))";
mostCurrent._img8.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 227;BA.debugLine="img8.Top  = sPostionTop(sNumber(i))";
mostCurrent._img8.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
case 9:
 //BA.debugLineNum = 229;BA.debugLine="img9.Left = sPostionLeft(sNumber(i))";
mostCurrent._img9.setLeft(_spostionleft[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 //BA.debugLineNum = 230;BA.debugLine="img9.Top  = sPostionTop(sNumber(i))";
mostCurrent._img9.setTop(_spostiontop[(int)(Double.parseDouble(mostCurrent._snumber[_i]))]);
 break;
}
;
 }
};
 //BA.debugLineNum = 233;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Dim tmr1,tmr2 As Timer";
_tmr1 = new anywheresoftware.b4a.objects.Timer();
_tmr2 = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 8;BA.debugLine="End Sub";
return "";
}
public static String  _tmr1_tick() throws Exception{
 //BA.debugLineNum = 235;BA.debugLine="Sub tmr1_Tick";
 //BA.debugLineNum = 236;BA.debugLine="hideImage";
_hideimage();
 //BA.debugLineNum = 237;BA.debugLine="tmr1.Enabled = False";
_tmr1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 238;BA.debugLine="tmr2.Enabled = True";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 239;BA.debugLine="End Sub";
return "";
}
public static String  _tmr2_tick() throws Exception{
int _k1 = 0;
int _rnd1 = 0;
 //BA.debugLineNum = 240;BA.debugLine="Sub tmr2_Tick";
 //BA.debugLineNum = 241;BA.debugLine="Dim k1,rnd1 As Int";
_k1 = 0;
_rnd1 = 0;
 //BA.debugLineNum = 242;BA.debugLine="If lblsecond.Text > sTimeout Then";
if ((double)(Double.parseDouble(mostCurrent._lblsecond.getText()))>_stimeout) { 
 //BA.debugLineNum = 243;BA.debugLine="tmr2.Enabled = False";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 244;BA.debugLine="frmGame1_result.sStage = sStage";
mostCurrent._frmgame1_result._sstage = BA.NumberToString(_sstage);
 //BA.debugLineNum = 245;BA.debugLine="frmGame1_result.sTime = \"زمان سپری شده \"  & lbl";
mostCurrent._frmgame1_result._stime = "زمان سپری شده "+mostCurrent._lblsecond.getText()+" : "+mostCurrent._lblseconds.getText()+" ثانیه";
 //BA.debugLineNum = 246;BA.debugLine="frmGame1_result.sState = \"unwin\"";
mostCurrent._frmgame1_result._sstate = "unwin";
 //BA.debugLineNum = 247;BA.debugLine="frmGame1_result.sGameNumber = \"1\"";
mostCurrent._frmgame1_result._sgamenumber = "1";
 //BA.debugLineNum = 248;BA.debugLine="frmGame1_result.sScore = lblscore.Text";
mostCurrent._frmgame1_result._sscore = mostCurrent._lblscore.getText();
 //BA.debugLineNum = 249;BA.debugLine="common.stopAudio";
mostCurrent._common._stopaudio(mostCurrent.activityBA);
 //BA.debugLineNum = 250;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 251;BA.debugLine="StartActivity(frmGame1_result)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._frmgame1_result.getObject()));
 };
 //BA.debugLineNum = 254;BA.debugLine="k1 = lblseconds.Text + 1";
_k1 = (int) ((double)(Double.parseDouble(mostCurrent._lblseconds.getText()))+1);
 //BA.debugLineNum = 255;BA.debugLine="lblseconds.Text = k1";
mostCurrent._lblseconds.setText((Object)(_k1));
 //BA.debugLineNum = 256;BA.debugLine="If lblseconds.Text > 60 Then";
if ((double)(Double.parseDouble(mostCurrent._lblseconds.getText()))>60) { 
 //BA.debugLineNum = 257;BA.debugLine="lblseconds.Text = 0";
mostCurrent._lblseconds.setText((Object)(0));
 //BA.debugLineNum = 258;BA.debugLine="k1 = lblsecond.Text + 1";
_k1 = (int) ((double)(Double.parseDouble(mostCurrent._lblsecond.getText()))+1);
 //BA.debugLineNum = 259;BA.debugLine="lblsecond.Text = k1";
mostCurrent._lblsecond.setText((Object)(_k1));
 };
 //BA.debugLineNum = 262;BA.debugLine="If showNubmer.Size = 0 Then";
if (mostCurrent._shownubmer.getSize()==0) { 
 //BA.debugLineNum = 263;BA.debugLine="tmr2.Enabled = False";
_tmr2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 265;BA.debugLine="End Sub";
return "";
}
}
